sata_phy_resume
Prev | Chapter 4. libata Library | Next

## Name

sata_phy_resume — resume SATA phy

## Synopsis

`int sata_phy_resume (` | struct ata_port * | ap,
| const unsigned long * | params,
| unsigned long | deadline`)`;

## Arguments

`ap`

  ATA port to resume SATA phy for

`params`

  timing parameters { interval, duratinon, timeout } in msec

`deadline`

  deadline jiffies for the operation

## Description

Resume SATA phy of `ap` and debounce it.

## LOCKING

Kernel thread context (may sleep)

## RETURNS

0 on success, -errno on failure.

Prev | Up | Next
sata_phy_debounce | Home | ata_std_prereset